import React from 'react';
export interface Dot {
    delay: number;
}
export declare const SpinnerContainer: import("styled-components").StyledComponent<"div", import("@monstrosity/types/theme").Theme, {}, never>;
export declare const Dot: import("styled-components").StyledComponent<"span", import("@monstrosity/types/theme").Theme, Dot, never>;
export declare class Spinner extends React.Component {
    render(): JSX.Element;
}
